custody/distributions

This endpoint retrieves a list of custody distributions. It supports pagination, filtering, and sorting capabilities.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Structure

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "custody_distributions": [
    {
      "id": "uuid",
      "submissionId": "uuid",
      "brokerageAccountId": "string",
      "amountCents": "integer",
      "status": "string",
      "accountId": "string",
      "bankId": "string",
      "bankAccountId": "string",
      "transactionType": "string",
      "transactionMemo": "string",
      "createdAt": "datetime",
      "updatedAt": "datetime"
    }
  ]
  "pagination": {
    "totalRecords": 100,
    "startIndex": 0,
    "endIndex": 0
  }
}

Response Fields

FieldTypeDescription
idstringUnique identifier for the distribution (UUID format)
submissionIdstringIdentifier for the submission batch (UUID format)
brokerageAccountIdstringBrokerage account ID
amountCentsintegerAmount in cents
statusstringCurrent status of the distribution (e.g., "pending")
accountIdstringExternal account ID (null if using bank info directly)
bankIdstringBank routing number or BIC/SWIFT code (null if using accountId)
bankAccountIdstringBank account number or IBAN (null if using accountId)
transactionTypestringType of transaction: "ach" or "wire" (may be null initially)
transactionMemostringMemo or description for the transaction (may be null)
createdAtstringCreation timestamp (YYYY-MM-DD HH:MM:SS)
updatedAtstringLast update timestamp (YYYY-MM-DD HH:MM:SS)

Status Codes

The distribution status can be one of the following:

  • pending (default)
  • processing
  • on_hold
  • approved
  • rejected
  • scheduled
  • in_review
  • completed
  • terminated
  • failed
  • reopened

Pagination Object

FieldTypeDescription
totalRecordsNumberTotal number of records available.
startIndexNumberStarting index of the records in the current response.
endIndexNumberEnding index of the records in the current response.

Examples

  1. Basic query (default behavior):
GET /v3/custody/distributions
  1. Limit the number of results:
GET /v3/custody/distributions?limit=1
  1. Use limit and offset for pagination:
GET /v3/custody/distributions?limit=1&offset=2

Permissions

This method requires the scopecustody_distribution.read.pii_highto be granted to the calling API key.

This scope can be assigned by system admins through the API or Transact Portal.

Filtering

For more information on filtering see

Working with List Endpoints

Query Params
int32
Defaults to 10

The maximum number of accounts to return. Max value is 500.

int32
Defaults to 0

The row index at which to begin the query. Zero represents the first account in the list.

string
string
Headers
string
Defaults to Bearer

Bearer token in the format "Bearer clientId:apiKey"

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json